RDPickers::LeaderPickerState< T > Struct Template Reference

`#include <LeaderPicker.h>`

## Public Member Functions

| LeaderPickerState (unsigned int count, int)
bool | empty ()
unsigned int | compact (int *dst, int *src, unsigned int len)
void | compact (int pick)
int | compact_next ()

## Public Attributes

std::vector< int > | v
unsigned int | left
double | threshold
int | query
T * | func

## Detailed Description

### template<typename T>
struct RDPickers::LeaderPickerState< T >

Definition at line 322 of file LeaderPicker.h.

## Constructor & Destructor Documentation

## LeaderPickerState()

template<typename T >

RDPickers::LeaderPickerState< T >::LeaderPickerState | ( | unsigned int | count,
|  | int |
| ) |  |

inline

Definition at line 329 of file LeaderPicker.h.

References RDPickers::LeaderPickerState< T >::v.

## Member Function Documentation

## compact() [1/2]

template<typename T >

unsigned int RDPickers::LeaderPickerState< T >::compact | ( | int * | dst,
|  | int * | src,
|  | unsigned int | len
| ) |  |

inline

Definition at line 337 of file LeaderPicker.h.

References RDPickers::LeaderPickerState< T >::query, and RDPickers::LeaderPickerState< T >::threshold.

Referenced by RDPickers::LeaderPickerState< T >::compact(), and RDPickers::LeaderPickerState< T >::compact_next().

## compact() [2/2]

template<typename T >

void RDPickers::LeaderPickerState< T >::compact | ( | int | pick | ) |

inline

Definition at line 347 of file LeaderPicker.h.

References RDPickers::LeaderPickerState< T >::compact(), RDPickers::LeaderPickerState< T >::left, RDPickers::LeaderPickerState< T >::query, and RDPickers::LeaderPickerState< T >::v.

## compact_next()

template<typename T >

int RDPickers::LeaderPickerState< T >::compact_next | ( |  | ) |

inline

Definition at line 352 of file LeaderPicker.h.

References RDPickers::LeaderPickerState< T >::compact(), RDPickers::LeaderPickerState< T >::left, RDPickers::LeaderPickerState< T >::query, and RDPickers::LeaderPickerState< T >::v.

## empty()

template<typename T >

bool RDPickers::LeaderPickerState< T >::empty | ( |  | ) |

inline

Definition at line 335 of file LeaderPicker.h.

References RDPickers::LeaderPickerState< T >::left.

## Member Data Documentation

## func

template<typename T >

T* RDPickers::LeaderPickerState< T >::func

Definition at line 327 of file LeaderPicker.h.

## left

template<typename T >

unsigned int RDPickers::LeaderPickerState< T >::left

Definition at line 324 of file LeaderPicker.h.

Referenced by RDPickers::LeaderPickerState< T >::compact(), RDPickers::LeaderPickerState< T >::compact_next(), and RDPickers::LeaderPickerState< T >::empty().

## query

template<typename T >

int RDPickers::LeaderPickerState< T >::query

Definition at line 326 of file LeaderPicker.h.

Referenced by RDPickers::LeaderPickerState< T >::compact(), and RDPickers::LeaderPickerState< T >::compact_next().

## threshold

template<typename T >

double RDPickers::LeaderPickerState< T >::threshold

Definition at line 325 of file LeaderPicker.h.

Referenced by RDPickers::LeaderPickerState< T >::compact().

## v

template<typename T >

std::vector<int> RDPickers::LeaderPickerState< T >::v

Definition at line 323 of file LeaderPicker.h.

Referenced by RDPickers::LeaderPickerState< T >::compact(), RDPickers::LeaderPickerState< T >::compact_next(), and RDPickers::LeaderPickerState< T >::LeaderPickerState().

The documentation for this struct was generated from the following file:

- LeaderPicker.h